Altibase.jdbc.driver.cm

## Class CmHandshakeResult

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmHandshakeResult

    public class CmHandshakeResult
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CmHandshakeResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getErrorCode()`
`java.lang.String` `getErrorMessage()`
`byte` `getMajorVersion()`
`byte` `getMinorVersion()`
`byte` `getModuleId()`
`byte` `getPatchVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CmHandshakeResult

    public CmHandshakeResult()

### Method Detail

#### getErrorCode

    public int getErrorCode()

#### getErrorMessage

    public java.lang.String getErrorMessage()

#### getModuleId

    public byte getModuleId()

#### getMajorVersion

    public byte getMajorVersion()

#### getMinorVersion

    public byte getMinorVersion()

#### getPatchVersion

    public byte getPatchVersion()